

= 3.7.1 (16 July 2026) =
Improved: Admin Menu Navigation – Antimanual's admin pages are now grouped into collapsible categories (Setup, AI Assistant, Content, Integrations, Translation, and SEO Tools) for faster navigation, and your open groups are remembered between visits.
Improved: AI Request Reliability – Strengthened AI request handling so simple text prompts work consistently across every connected provider.

= 3.7.0 (19 June 2026) =
New: AI Content Copilot – Added an inline "Magic Wand" tool to the block editor for improving, summarizing, translating, and fixing grammar in your posts instantly.
New: AI Usage & Cost Analytics – Monitor your AI consumption with a detailed dashboard showing token usage, estimated costs, and trends across features and models.
New: Model Context Protocol (MCP) Server – Turn your WordPress site into a smart tool for AI agents with a secure, token-protected MCP interface.
New: Per-Role AI Limits – Control your AI spending by setting monthly token caps for specific user roles (e.g., Editors, Authors).
New: Added support for GPT 5.5, GPT 5.4 Mini, GPT 5.4 Nano, GPT 5.3 Codex, and GPT 4.1.
Improved: Usage Analytics Export – You can now export your full AI usage history to CSV for deeper analysis and reporting.
Improved: Chatbot Moderation – Added IP-based access restriction to prevent abuse and block unwanted visitors from using the assistant.
Improved: Admin Reporting – Usage summaries now include average cost per request and percentage trends compared to the previous period.
Improved: Enhanced migration reliability with concurrency protection and lower memory usage during upgrades.
Improved: Reduced database load by caching embedding conversion checks and preventing unnecessary scans.

= 3.6.3 (02 June 2026) =
Updated: AI Search Streaming – Search answers now stream in real time for a smoother, more natural reading experience while results are being generated.
Updated: Language Support – Expanded translation loading across admin and frontend interfaces for Arabic, Bengali, German, English (UK), Spanish, French, Korean, Russian, and Chinese.
Improved: AI Search Relevance – Short keyword searches now return clearer topic-based answers with more reliable source matching.
Improved: AI Search Accessibility – Refined keyboard interactions, focus behavior, and close controls to make search easier to use for all visitors.
Fixed: Search Feedback Voting – Strengthened vote validation and duplicate prevention so helpfulness feedback is recorded more reliably.
Fixed: Search Output Safety – Added stricter response sanitization for links and rich content to keep AI search results safer to display.

= 3.6.2 (23 May 2026) =
Updated: AI Provider Setup Guidance – Added a clear dashboard warning and one-click shortcut to connect an AI provider when no API key is configured.
Updated: Admin Notice Delivery – Refreshed the remote notice service integration for more consistent admin announcements.
Improved: Chatbot Interface – Refined message presentation, system message styling, and interaction flow for a cleaner chat experience.
Improved: Chatbot Answer Relevance – Enhanced context-aware retrieval so replies stay better aligned with embedded knowledge.
Optimized: Chatbot Response Pipeline – Streamlined frontend and backend processing to keep responses faster and more stable during active conversations.
Fixed: Chatbot Context Handling – Resolved edge cases where context blending could reduce answer quality for some queries.

= 3.6.1 (21 May 2026) =
New: Conversation Inbox Controls – Added search, smart filters, sorting, pagination, and bulk actions so you can find, export, and manage conversations much faster.
New: Broken Link Ignore Manager – You can now add URL or domain patterns directly to the ignore list and quickly clear or manage them from one place.
Updated: Generate Post Design Step – Reorganized SEO and content feature controls into clearer grouped sections for a smoother content creation flow.
Updated: Live Chat Composer – Reworked reply states with clearer locked-session messaging and a cleaner input experience for active chats.
Updated: AI Model Capability Locks – Plugin features now automatically lock or unlock based on the selected AI provider and model, and unsupported options are disabled to prevent invalid configurations.
Improved: Batch Post Generation – Added schedule preview, keyboard shortcut support, and live progress logs so long generation runs are easier to monitor.
Improved: Visitor Context Panel – Live chat now surfaces richer visitor context, including readable session timing and location details when available.
Improved: SEO Workflow – Refined embedded SEO controls and keyword research interactions for a more consistent setup experience inside Generate Post.
Optimized: Chatbot Reply Speed – Accelerated AI reply performance with smarter knowledge retrieval and caching so visitors receive answers faster.
Optimized: Knowledge Base Processing – Added background embedding migration and matrix cache rebuild workflows to improve speed and stability on large knowledge bases.
Fixed: Block Validation – Resolved invalid block recovery prompts by normalizing generated list, heading, and accordion markup before saving.
Fixed: Generate Post Reliability – Prevented malformed JSON responses caused by unexpected third-party output during generation requests.
Fixed: Chatbot Escalation Card – Resolved reply finalization inconsistencies so escalation prompts display reliably after successful responses.

= 3.6.0 (19 May 2026) =
New: Multi-Provider AI Engine – Added support for Anthropic (Claude), xAI (Grok), and DeepSeek AI providers in addition to OpenAI and Gemini, complete with automatic fallback logic for embedding generations.
New: OpenCode Zen Provider – Added support for the OpenCode Zen AI provider, unlocking 8 new curated models including DeepSeek, Qwen, and Kimi.
New: Generate Post Shortcuts – Added convenient "Generate Post" call-to-action buttons directly on the post list and editor screens.
New: Broken Link Checker Demo – Free users can now explore a fully interactive, read-only preview of the Broken Link Checker, powered by realistic sample data.
New: Pro Max Teaser Pages – Redesigned the upgrade pages for SEO Agent and Internal Linking with clearer step-by-step workflows, feature highlights, and value stats.
New: Live Chat File Attachments – Agents can now preview and send image attachments directly to visitors from the admin live chat panel.
New: Visitor Context Panel – Live chat sessions now display the visitor's current page URL, title, referrer, and browser information for better support context.
New: Live Chat Audio Alerts – Added a toggleable notification sound when a visitor requests a live chat or sends a new message.
New: Live Chat Archive – Added the ability to archive inactive chat sessions or permanently delete them with their transcripts.
Updated: Article Outline – Redesigned the outline preview with clear heading tags, section-count indicators, and a modern card-based layout for better readability.
Updated: Plan Rename – The "SEO Plus" plan has been renamed to "Pro Max" throughout the dashboard, navigation, error messages, and upgrade prompts for a clearer pricing structure.
Updated: Chatbot Image Attachments – Visitor image uploads now require Live Chat Handoff to be enabled, ensuring images route only to a connected human agent. The setting has been moved into the Live Chat Handoff card.
Improved: Chatbot Conversations – Conversation counts now display as a styled badge next to the tab name, and the count only appears when there are conversations.
Improved: Chatbot Upgrade Prompts – Pro-locked tabs (Custom Answers, Leads) now show context-specific upgrade titles and descriptions instead of a single generic message.
Improved: Chatbot Embed – The generated embed code now uses the configured header text color for the launcher icon so it stays readable on any color combination.
Improved: Live Chat Attach Button – The image attach button stays visible when attachments are enabled and provides clearer guidance when handoff is not yet configured or available.
Improved: EazyDocs Integration – The integration now respects the EazyDocs Assistant visibility setting and only activates with the EazyDocs Promax plan.
Improved: Chatbot Header – Refined the chatbox header layout in the EazyDocs Assistant for a cleaner, more compact appearance, and hide the help text line when empty.
Improved: Bulk Rewrite – Added an Action History tab so you can review past rewrites, image generations, and taxonomy assignments with one-click access back to the edited post.
Improved: Admin Interface – Polished form controls, tooltips, range sliders, and alerts across the dashboard for a more consistent, accessible feel.
Improved: Range Slider – The selected value now appears in a floating tooltip above the slider thumb that tracks your position as you drag, making the chosen value easier to read at a glance.
Improved: Chatbot Lead Capture – The chatbot now intelligently skips the lead capture form if the visitor is already logged into WordPress.
Improved: Plugin Uninstall – Added dedicated cleanup options to securely wipe stored Google API credentials and Core Web Vitals history upon uninstallation.
Optimized: Generation Jobs – Switched from transients to a dedicated database table for tracking AI generation jobs, improving reliability and preventing state loss during long tasks.
Fixed: Chatbot API Error – Removed the API error response when querying an empty knowledge base, returning a helpful system message instead.
Fixed: Chatbot Conversations – The delete progress spinner now appears on the row being deleted instead of the currently selected conversation.
Fixed: Gemini Chatbot – Resolved an issue where plain-text inputs could fail to generate replies in some chat configurations.

= 3.5.0 (21 April 2026) =
New: Background Tasks – A new notification bell in the navbar to track the progress of AI generation and background tasks.
New: Conversation Memory – The chatbot now remembers previous messages in the conversation, allowing for natural follow-up questions.
New: Featured Image Generation – Added the ability to automatically generate featured images in bulk using the Bulk Rewrite feature.
Updated: Features – The Email Campaigns module has been removed to streamline the plugin and focus on core AI features.
Improved: AI Generation Queue – Refined the background generation process using WP-Cron for more reliable and resilient post creation.
Improved: Post Generation – Enhanced support for taxonomy and SEO settings when generating posts and auto-posting.
Improved: Humanize Content – Improved the prompt instructions to produce even more natural, human-like text that bypasses AI detection.
Improved: Bulk Rewrite – Replaced the "Make Concise" preset with "Humanize" to help rewrite existing content in a more natural, conversational tone.
Improved: Content Limits – Adjusted content length constraints so generated articles aren't discarded if they slightly miss the requested word count.

= 3.4.1 (19 April 2026) =
New: Keyword Research – AI-powered keyword generation replaces manual tags in SEO settings.
New: Keyword Metrics – Added search volume, ranking difficulty, and search intent metrics to assist in content planning.
New: Prompt Suggestions – Discover relevant keywords instantly with a single click across Generate Post, Auto Posting, and Knowledge Base features.
New: Humanize Content – A new anti-AI detection toggle that automatically applies human-like conversational styles and sentence structures to generated articles.
New: Email Campaigns – Added inbound webhook support to automatically track email delivery bounces and recipient replies.
Updated: Writing Tones – Removed the "Authoritative" tone to streamline options, with existing defaults automatically swapped to "Professional".
Improved: Auto Posting Layout – Redesigned the configuration form into a streamlined, step-by-step wizard matching the Generate Post interface, complete with a final configuration summary.
Improved: Auto Posting Defaults – The "Humanize Content" tone is now automatically selected by default to ensure scheduled posts bypass AI detection out of the box.
Improved: Humanize Content – Enhanced the underlying AI instructions with a comprehensive anti-AI detection guide to produce even more natural, human-like text.
Improved: Admin Interface – Standardized all data tables across Email Campaigns, Knowledge Base, and GitHub Integration to use a unified, cleaner design.
Improved: Campaign Reports – The reports dashboard now displays detailed metrics for replies, forwards, and spam reports.
Optimized: Admin Architecture – Consolidated table styles for faster loading and better consistency across the dashboard.
Fixed: Internal Linking – Prevented internal link placeholders from accidentally resolving to draft or private posts during AI generation.
Fixed: Email Campaigns – Resolved an issue where custom campaign headers and footers were not saving properly or falling back correctly to global email settings.

= 3.4.0 (31 March 2026) =
New: Module Reset – Added the ability to safely reset data for specific modules, such as Email Campaigns or Chatbot, while preserving other settings.
New: Campaign Reports – Detailed campaign analytics with summary stats, delivery rates, open and click metrics, and campaign-to-campaign comparison in a single dashboard.
New: Opens by Location – Interactive, responsive chart and country table showing where subscribers open your emails, with percentage breakdowns.
New: Opens by Time – Hourly area chart visualizing when subscribers are most active opening your emails throughout the day.
New: Click Activities – Tracked link extraction from email content with a visual link click map overlay and per-link tracking indicators.
New: Delivery Log – Paginated recipient activity log with status-based filtering (delivered, opened, clicked, failed, unsubscribed, and more).
New: Apple MPP Detection – Distinguishes reliable opens from Apple Mail Privacy Protection pre-fetches, giving you more accurate open rate insights.
New: User Agent Analytics – Breakdown of email client and device usage across your campaign recipients.
New: Email Preview – Live preview of your campaign email content directly within the report view.
New: Email Campaigns – Added a language selection option when generating AI content.
Updated: Chatbot UI – Completely modernized the chat interface with a premium, minimalist design, circular launcher, auto-expanding text area, and pill-shaped suggestion buttons.
Updated: Email Subscribers – Enhanced all bulk actions with real-time per-contact progress indicators and the ability to safely stop actions mid-run.
Improved: Chatbot – Refined the mobile layout for better responsiveness, ensuring a consistent and engaging user experience across all smaller screens.
Improved: Email Campaigns – Enhanced the content creation step with an intuitive shortcode insertion workflow, emphasized spam checker features, and accessible editor toolbar controls.
Improved: Email Campaigns – The template preview now intelligently uses the stable WordPress site name and reliably displays preview text.
Improved: Email Campaigns – The header and footer configuration toggles are automatically hidden when using a custom HTML template for a cleaner interface.
Improved: Email Campaigns – Campaign sending now tracks delivery progress more accurately, so the progress bar reflects the true number of recipients even for segmented campaigns.
Improved: Email Campaigns – Creating a new campaign now automatically applies your default template, tone, and language settings.
Improved: Email Campaigns – Recurring campaigns that were paused can now be resumed without losing their send schedule.
Improved: Email Settings – Added support for {{first_name}} and {{last_name}} dynamic variables to the email template preview.
Improved: Subscribers – Made the lists sidebar sticky so it remains visible when scrolling down long subscriber lists.
Improved: Campaign Reports – Report filters and active tabs are now preserved in the URL, so refreshing the page or sharing the link retains your current view.
Improved: Campaign Reports – Date range filtering now validates input dates and auto-corrects reversed ranges for reliable results.
Fixed: Campaign Reports – Resolved an issue with the "Share Report" button to ensure campaign reports can be correctly shared via generated tokens.
Fixed: Email Campaigns – Resolved an issue where scheduled emails could continue attempting to send even after the related campaign was deleted mid-send.
Fixed: Email Campaigns – Resolved an issue where the scheduled time would not display correctly when editing an existing scheduled campaign.
Fixed: Email Campaigns – Strengthened tracking link validation for forward and spam report actions to prevent processing of malformed requests.
Fixed: Live Chat – Image attachments shared by visitors now display correctly in the admin live chat panel.

= 3.3.0 (26 March 2026) =
New: Doc Generation – Added the ability to generate or regenerate individual documentation sections independently.
New: Doc Generation – AI can now automatically generate and assign excerpts and categories or tags to documentation pages.
New: Email Campaign – AI-powered email campaigns with subscriber management, list segmentation, scheduling, marketing templates, campaign reports, and live sending progress.
New: System Info – A new diagnostics tab in Configuration shows your server health, environment details, and requirement checks at a glance.
New: Uninstall Cleanup – Each module now has a cleanup toggle so you can choose whether to keep or delete its data when the plugin is uninstalled.
Updated: Post Generation – Reorganized the Knowledge Sources and Scheduling settings for a clearer creation flow.
Improved: AI Search – Source links now use smarter matching, so only genuinely related articles appear as references.
Improved: AI Search – Queries in languages with different alphabets (like Arabic, Chinese, Japanese, Korean, and Cyrillic) are now counted and handled accurately, improving answer quality for multilingual sites.
Improved: Alert Component – Enhanced with action buttons, screen reader support, and more flexible styling options.
Improved: Admin UI – Updated and matched the design of statistics and empty screens across all features for a more consistent look and feel.
Improved: Admin UI – Cleaned up the design of the API key setup box.
Improved: Chatbot Settings – Updated the settings layout for an easier and cleaner experience.
Improved: Knowledge Base Context – Upgraded the AI behind the scenes so it gives smarter, faster, and more consistent answers across all features.
Improved: Post Generation – Expanded the tone selector layout for better visibility.
Improved: Admin UI – Added category icons to the main navigation menu for quicker finding.
Optimized: Connection Stability – The plugin will now automatically retry connecting if your server gets temporarily busy, reducing errors.
Optimized: Knowledge Base – Managing many posts at once is now handled one by one to prevent server overload.
Fixed: Chatbot – Disabling the Chatbot module from the Modules tab now correctly removes the chatbot widget from the frontend.
Fixed: Connection – Fixed an issue that could cause connection problems on certain website setups.

= 3.2.1 (19 March 2026) =
Updated: Admin Menu – the plugin menu is now positioned lower in the WordPress admin sidebar, below the core content menus, following WordPress plugin guidelines.
Fixed: AI Search Block – the feedback voting feature no longer relies on a hardcoded AJAX path and will now display a clear message if the endpoint is unavailable in non-standard server configurations.
Fixed: Chatbot – the welcome message now correctly renders formatted text including bold and links, instead of displaying raw HTML.
Fixed: Security – Strengthened output escaping across the chatbot shortcode to ensure all dynamic values are safely rendered in their correct HTML context.
Fixed: Security – Tightened input handling across all AJAX endpoints and API request handlers to ensure every field is properly unslashed and sanitized before use.
Fixed: Security – Added direct-access protection to additional plugin files to prevent them from being loaded outside of WordPress.

= 3.2.0 (18 March 2026) =
New: Module Manager – a dedicated Modules tab in Configuration lets you enable or disable individual AI features (Generate Post, Auto Posting, FAQ Generator, Generate Docs, Forum Automation, and more) from one place. Disabled modules are hidden across all menus automatically.
New: Improve Existing Doc – a new mode in Generate Docs that analyzes an existing documentation tree and suggests what to update, expand, or keep, then applies each improvement automatically.
Improved: Chatbot Settings – simplified the settings page by removing the redundant Enable/Disable toggle. The chatbot is now controlled via the Modules tab for a single, consistent on/off experience.
Improved: Configuration Page – AI Provider settings are now organized in a tabbed layout with a dedicated Modules tab, making it easier to navigate and manage plugin-wide settings.
Improved: AI Search Block – short one or two-word keyword searches now return accurate, relevant answers instead of requiring full sentence or question.
Improved: AI Chatbot – short one or two-word keyword queries in the chatbot now return accurate, relevant answers instead of triggering the irrelevant-question fallback.
Updated: Plugin Listing – Added an External Services section to the plugin readme documenting all third-party APIs the plugin connects to (OpenAI, Google Gemini), what data is sent, and when.
Fixed: Security – Strengthened vote handling with IP-based rate limiting to prevent spam submissions.
Fixed: Security – Strengthened input handling across all forms and AJAX endpoints to ensure user-submitted data is properly sanitized before use.

= 3.1.0 (13 March 2026) =
New: Response Feedback – optional thumbs up/down buttons on AI responses so visitors can rate answer quality.
New: Gemini 3.1 Pro Preview and Gemini 3.1 Flash-Lite Preview models support added.
New: Edit Posting Items – edit existing posting items directly in the Auto Posting feature.
New: Persistent Live Chat Button – an always-visible "Chat with a Human" button in the chatbot widget with customizable label, so visitors can request live chat without navigating the escalation menu.
Updated: Removed dall-e-3 support and updated OpenAI image generation to use the latest gpt-image-1.5 model exclusively.
Updated: AI Models – Removed GPT-5 Nano from the model selection and changed the default model to GPT-5 Mini.
Improved: Chatbot Frontend – Refined message spacing and brightened the input field background color for an improved chat experience.
Improved: Removed prompt variables and updated quick presets in bulk rewrite feature.
Improved: Generate Docs enhanced with deeper nesting support, a "Start Over" option, estimated time and total docs in Review & Edit, and fixed Accordion Style in FAQ sections.
Improved: Toggle controls across the plugin now use a unified design for better consistency.
Improved: Advanced post settings (Featured Image, FAQ, Table of Contents, Internal Links, Content Images) now work consistently across Generate Post, Auto Posting, and Generate Docs.
Improved: Auto Posting schedules now support all advanced post settings including point of view, target audience, excerpt, taxonomy, focus keywords, and content options.
Improved: Chatbot Settings – conversation settings cards now arranged in a two-column grid layout for better organization.
Improved: Chatbot Settings – chat background color field no longer has a forced default, allowing themes to provide their own background.
Improved: Chatbot Frontend – cleaner message styling with refined padding, improved border contrast, and better dark mode compatibility.
Improved: Chatbot Frontend – live chat status messages (connecting, joined, ended) now appear as simple inline text instead of boxed cards.
Improved: Color Picker – the color input component now properly supports clearing the value to use default colors.
Improved: Admin Architecture – Consolidated and optimized administrative stylesheets into centralized CSS modules for better maintainability and performance.
Improved: AI Configuration – Added detailed information for all models including context windows, pricing, use cases, and knowledge cutoffs in the settings dashboard.
Improved: AI Post Generation – Enforced word count limits by dynamically rewriting generated content to ensure it strictly meets the requested length.
Improved: Admin UI – Defaulted advanced post features and SEO settings to off for free users for a cleaner interface.
Fixed: AI Post Generation – Resolved an "invalid JSON response" error and fixed timeout issues for long-running AI generation tasks.
Fixed: Unable to add email addresses in the SEO Agent Monitoring alert email field.
Fixed: Message copy button was not working on the frontend Chatbot.
Fixed: OpenAI Integration – Improved response extraction logic to reliably handle nested contents and prevent empty output errors.
Fixed: Security – Removed insecure `wp_ajax_nopriv_` hooks for authenticated endpoints to limit attack surface.
Fixed: Security – Mitigated an unrestricted file upload vulnerability in AI controllers by explicitly validating file types before upload processing.
Fixed: Auto Posting – Resolved an N+1 database query issue in the list method by preloading post metadata.
Fixed: AI Post Generation – Resolved a state inconsistency issue when submitting generation tasks while article length inputs are actively focused.

= 3.0.1 (01 March 2026) =
New: Add to Existing Doc option added in Generate Docs feature to add new docs to the existing docs with the exsisting context and knowledge base.
Improved: The Generate Post page layout has been changed to a step layout wizard for better user experience, also the user can preview and edit the outline before generating the post.
Fix: Gemini API key not working in the free version.
Fix: Pause button of the Doc generation not working.

= 3.0.0 (01 March 2026) =
New: Gemini API key option unlocked for free users. Free users can now: Select Google Gemini from the AI Provider dropdown, Enter a Gemini API key, Choose a Gemini model, Use Gemini for chat, embeddings, and all AI features.
New: Generate Post With AI - create complete posts with AI-generated title, content, slug, excerpt, and taxonomies, with knowledge base integration, tone selection, article length options, SEO settings, AI-generated featured images, prompt suggestions, and generated posts history.
New: FAQ Generator - AI-powered FAQ generation from knowledge base content with topic-based filtering, tone selection, interactive preview, Gutenberg accordion block output, and FAQ Schema for Google rich snippets.
New: Repurpose Studio - step-based content repurposing with Quick Presets (Product Launch, Blog Summary, Event Promo, Tutorial Recap, Case Study, Thought Leadership) for converting posts into social, email, and other formats.
Improved: Docs Generator redesigned as a 6-step wizard (Subject, Settings, Writing Style, Knowledge Sources, Generate, Review & Edit) with Content Depth, Target Audience, TOC, FAQ, Internal Links, and Featured Image options.
Improved: Bulk Rewrite redesigned with Quick Presets (SEO Optimization, Content Refresh, Fix Grammar, Make Concise, Add Structure, Conversational Tone, Simplify & Improve, Complete Enhancement), saved prompts, and prompt template variables.
Improved: Auto Posting enhanced with content gap integration, SEO settings, and refined scheduling options.
Improved: Knowledge Base WordPress Posts tab redesigned with status filter pills, auto-sync toggle, update alerts, and improved table footer help.
Improved: Knowledge Base overview page improved with better stats and layout.
Improved: Chatbot settings page enhanced with organized setting groups and availability controls.
Improved: Admin navbar reorganized with icons in tab items and removed tab titles and subtitles for cleaner navigation.
Improved: Configuration page enhanced with API provider status indicators, auto-fill prevention for API key fields, and Quick Tips section.
Improved: AI Search block enhanced with expanded styling controls, greeting title, popular keywords, and predefined questions.
Improved: AI Search analytics enhanced with improved query detail panel and context information display.
Improved: Admin pages lazy-loaded for faster initial load.
Improved: Forum Automation page updated with hero banner, step-based layout, and writing tones.
Improved: Chatbot monthly conversation limit modified.
Improved: Gemini provider label now indicates "(Pro)" for free users with selection disabled.
Improved: Input fields across the plugin now include more descriptive help texts for better user guidance.
Improved: Compatibility with PHP 7.4 environments.
Security: Strengthened security across all plugin endpoints and interactions.
Fixed: AI provider and API key fields getting autofilled by the browser.
Fixed: Add WordPress posts to knowledge base failing for some languages (arabic, french, etc).

= 2.2.0 (26 January 2026) =
New: AI Response to Replies - AI suggestions for forum replies with minimum word count filter and role exclusion.
New: AI Search Dashboard - dedicated admin page with Analytics and Query management tabs.
New: Filter by Parent - added dropdown filter for any hierarchical post type.
New: Auto Posting Reliability - added queue system, retry mechanism, and UTC scheduling for robust post generation.
New: Topic Suggestions - added AI-powered "Get topic ideas" button for auto-posting.
New: Auto Posting Status Bar - added last checked, pending, processing status, and manual trigger buttons.
Improved: Redesigned Generated Posts view in Auto Posting - new card-based layout with color-coded status indicators, pagination, and better error display.
Improved: Search block results dismissal UX - replaced click-outside-to-close with an explicit close button.
Improved: Chatbot responsiveness and mobile experience.
Improved: API key settings now display a styled callout with direct links to OpenAI and Google AI Studio dashboards.
Updated: Search block limit now uses lifetime count (100 queries) instead of monthly reset.
Security: API keys encrypted at rest using AES-256-CBC with WordPress security keys.
Security: API keys no longer exposed to frontend - displays masked preview with status indicator.
Fixed: Unwanted characters (markdown code fences, zero-width characters) in AI-generated content.
Fixed: Timezone synchronization issues for scheduled posts.

= 2.1.0 (07 January 2026) =
New: Allowed site admins to set a custom response for irrelevant queries in chatbot settings.
New: Enhanced admin tables with advanced controls across multiple pages.
New: Implemented search, sort, and pagination functionality.
New: Synced table state (search, sort, pagination) with page routes to persist data across page refreshes.
Updated: Removed Screen Options from Antimanual admin pages.
Updated: Plugin requirement for forum automation is changed from bbPress to Forumax.
Improved: Disabled the chat reset button when the user has not sent any message yet.
Improved: Show suggested questions when the user has not sent any message yet.
Improved: Adjusted chat reset button position for empty headers in EazyDocs integration.
Improved: Moved the Auto Posting tab after the Bulk Rewrite tab.
Fixed: Monthly conversation usage for the chatbot feature not displaying correctly.
Fixed: Apply button in Screen Options not working.
Fixed: Unable to change the response model in the configuration.
Fixed: Knowledge Base posts not updating correctly and duplicate post issues.

= 2.0.0 (16 December 2025) =
New: Auto-Posting feature - automatically generate and publish WordPress posts based on scheduled topics.
New: Antimanual AI Search block - intelligent search functionality with query feedback for the block editor.
New: Seamless admin dashboard experience - rebuilt as a React-based SPA for instant loading.
New: Knowledge Base expansion - supports PDF uploads, Website URLs, Custom Text, and existing Posts.
New: Cross Domain Embed - easily embed the AI chatbot on external websites.
New: Chatbot logic upgrades - GPT-5 support, self-reference capability, and access to conversation history.
New: Documentation Generator - generate detailed documentation using AI.
New: bbPress Integration - AI-generated answers for forum topics and topic-to-post conversion.
New: Conversations listed in dashboard - track user interactions with the chatbot.
Updated: Visual overhaul for Admin navigation tabs and Chatbot frontend design.
Updated: Knowledge Base management - now includes table layout, bulk actions, and filters.
Updated: Standalone architecture - removed EazyDocs dependency.
Updated: Enhanced UI for all generator tabs (Terms, Excerpts, bbPress).
Updated: Chatbot experience - dark mode support, local storage history, and improved mobile UX.
Updated: Performance - switched to SVG icons and optimized asset loading.

= 1.0.0 (05 December 2025) =
New: Initial release.
